% plot of shift map iterates on [0,1]

a = 4;                       % multiplication parameter
N = 2;                         % number of iterates to be plotted

x = 0:.001:1;
f = zeros(N,1001);
f(1,:) = mod(a*x,1);
for j=2:N
    f(j,:) = mod(a*f(j-1,:),1);
end

% plot the iterates

figure(1)
plot(x,f,'.',x,x)
xlabel x, ylabel f^j(x)
  

